查询邮件列表
POST
/erp/sc/data/mail/lists支持查询【邮件消息】列表
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/mail/lists | HTTPS | POST | 1 |
请求参数
flagstring必填emailstring必填start_datestring必填end_datestring必填offsetintegerlengthinteger请求示例
{
"flag": "sent",
"email": "xxx@qq.com",
"offset": 0,
"length": 20
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
webmail_uuidstring必填datestring必填subjectstring必填from_namestring必填from_addressstring必填to_namestring必填to_addressstring必填has_attachmentinteger必填mail_sn_codestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "27BB5B29-31C0-FA02-6A88-7134DED5A8C6",
"response_time": "2022-03-31 15:49:35",
"data": [
{
"webmail_uuid": "118155928087207936",
"date": "2022-02-25 14:33:00",
"subject": "标题1",
"from_name": "system",
"from_address": "system@tapd.cn",
"to_name": "auto-communication",
"to_address": "auto-communication@qq.com",
"has_attachment": 1,
"mail_sn_code": "OTH0163416"
},
{
"webmail_uuid": "118155927439331328",
"date": "2022-02-24 22:30:22",
"subject": "标题2",
"from_name": "system",
"from_address": "system@tapd.cn",
"to_name": "auto-communication",
"to_address": "auto-communication@qq.com",
"has_attachment": 0,
"mail_sn_code": "OTH0163415"
}
],
"total": 187
}
返回失败示例
{
"code": 102,
"message": "参数不合法",
"error_details": [
"email => email不能为空"
],
"request_id": "8671A9D1-BC61-9398-FBD9-C90A672DAD11",
"response_time": "2022-03-31 15:55:03",
"data": [],
"total": 0
}